package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.LogPayCp;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 注释通知CP记录表
 *
 * @author xufeng
 * @date 2022-06-27 14:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class LogPayCpParam extends BasePage<LogPayCp> {

    /**
     * 商户订单号
     */
    @NotBlank
    @ApiModelProperty(notes = "商户订单号")
    private String orderId;
}
